org.eclipse.microprofile.rest.client.tck.cditests

## Class CDIInvokeWithRegisteredProvidersTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest
    - - org.eclipse.microprofile.rest.client.tck.cditests.CDIInvokeWithRegisteredProvidersTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class CDIInvokeWithRegisteredProvidersTest
    extends WiremockArquillianTest

Verifies via CDI injection that you can use a programmatic interface. Verifies that the interface includes registered providers. Also verifies that providers registered via MicroProfile Config are honored.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`CDIInvokeWithRegisteredProvidersTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `testInvokesPostOperation_viaAnnotation()`
`void` `testInvokesPostOperation_viaMPConfig()`
`void` `testInvokesPostOperation_viaMPConfigWithConfigKey()`
`void` `testInvokesPutOperation_viaAnnotation()`
`void` `testInvokesPutOperation_viaMPConfig()`
`void` `testInvokesPutOperation_viaMPConfigWithConfigKey()`

### Methods inherited from class org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest

`getPort, getServerURI, getServerURL, getStringURL, setupServer`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CDIInvokeWithRegisteredProvidersTest

    public CDIInvokeWithRegisteredProvidersTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testInvokesPostOperation_viaAnnotation

    public void testInvokesPostOperation_viaAnnotation()
                                                throws Exception

Throws:
  `Exception`

#### testInvokesPostOperation_viaMPConfig

    public void testInvokesPostOperation_viaMPConfig()
                                              throws Exception

Throws:
  `Exception`

#### testInvokesPostOperation_viaMPConfigWithConfigKey

    public void testInvokesPostOperation_viaMPConfigWithConfigKey()
                                                           throws Exception

Throws:
  `Exception`

#### testInvokesPutOperation_viaAnnotation

    public void testInvokesPutOperation_viaAnnotation()
                                               throws Exception

Throws:
  `Exception`

#### testInvokesPutOperation_viaMPConfig

    public void testInvokesPutOperation_viaMPConfig()
                                             throws Exception

Throws:
  `Exception`

#### testInvokesPutOperation_viaMPConfigWithConfigKey

    public void testInvokesPutOperation_viaMPConfigWithConfigKey()
                                                          throws Exception

Throws:
  `Exception`